Subject: Re: bash env parse broken
From: [email-masked] ("Aaron P. Siri")

6 Sep 1997 11:19:34 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 4.0 [en] (WinNT; I)
Original-To: Eric Mills <[email-masked]>
Original-CC: [email-masked]
X-Priority: 3 (Normal)
Original-Sender: [email-masked]

My first guess is that you aren't escaping your backslashes.  So, for
example, the first line below doesn't see the ending " and all your
variables are running together.  Change all of your \ to \\.  Seems
almost too obvious that maybe I'm overlooking something or misunderstood
the question.

-Aaron

Eric Mills wrote:
> 
> on NT4.0sp3 gnu-win32 B18 ... sourcing the following 12 lines into bash:
> 
> HOMEPATH="\"
> export HOMEPATH
> UNAME="NT 4.0"
> export UNAME
> NEW_RELEASE="28/08/97"
> export NEW_RELEASE
> TCL_LIBRARY="C:/gnuwin32/b18/tcl/lib/tcl7.6"
> export TCL_LIBRARY
> PATH=".:/bin:/gnuwin32/b18/H-i386-cygwin32/bin:/gnuwin32/b18/tcl/bin:/WINNT/system32:/WINNT:/msdev/bin:/fax/dev:/fax/dev"
> export PATH
> GCC_EXEC_PREFIX="C:\gnuwin32\b18\H-i386-cygwin32\lib\gcc-lib\"
> export GCC_EXEC_PREFIX
> 
> Gives the following:
> 
> (C:\bin\sh.exe 5869) In cygwin_except_handler
> (C:\bin\sh.exe 5869) Exception trapped!
> (C:\bin\sh.exe 5869) exception C0000005 at 10029AD0
> (C:\bin\sh.exe 5869) exception: ax 244E234 bx 336E6977 cx 244E2C4 dx 1004762
> (C:\bin\sh.exe 5869) exception: si FFFFFFFF di 244E2C4 bp 244E198 sp 244E194
> (C:\bin\sh.exe 5869) exception is: STATUS_ACCESS_VIOLATION
> (C:\bin\sh.exe 5869) Stack trace:
> (C:\bin\sh.exe 5869) frame 0: sp = 0x244DFC8, pc = 0x1000CEC2
> (C:\bin\sh.exe 5869) frame 1: sp = 0x244DFE4, pc = 0x77F94512
> (C:\bin\sh.exe 5869) frame 2: sp = 0x244E008, pc = 0x77F88EEB
> (C:\bin\sh.exe 5869) frame 3: sp = 0x244E094, pc = 0x77F76266
> (C:\bin\sh.exe 5869) frame 4: sp = 0x244E198, pc = 0x10016211
> (C:\bin\sh.exe 5869) frame 5: sp = 0x244E3C8, pc = 0x433D5849
> (C:\bin\sh.exe 5869) In cygwin_except_handler
> (C:\bin\sh.exe 5869) Error while dumping state (probably corrupted stack)
> 
> If you delete some lines of the above 12 bash gets confused and complains
> about unmatched "... and also seems to get in a mode where it ignores and
> strips " and tries to run serveral lines as a command name....
> 
> I could not see any reference to similar problems anywhere else...
> 
> 2. Using ^C while make is running produced the following message:
> "fork_helper: child died before initialization with win32 error -1073741510"
> and sent make into an infinite loop. This seems fairly repeatable.
> Perhaps new exception handling in b19 will help... how long to?
> 
> Thanks,
> Eric Mills.
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".

-- 
Aaron Siri                          mailto:[email-masked]
Cosmo Software                       phone:   (415) 933-3967
A Silicon Graphics Company             fax:   (415) 932-3967
******************* http://cosmo.sgi.com *******************
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".